
QGIS Application - Bug report #1074

WMS connection dialog does not see selection

2008-05-07 09:39 AM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee: Tom Elwertowski

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11134

Description

If a layer is selected in the WMS connection dialog and the 'Add' button is pressed, there is an error message which tells that at least one

layer needs to be selected. It works with two layers selected.

Associated revisions

Revision 92c73287 - 2008-06-09 03:35 AM - Tom Elwertowski

Additional conversion from Q3ListView to QTreeWidget. This is an addition to r8406 and fixes #1074.

For Q3ListView, each item is already set to the new selection state when on_lstLayers_selectionChanged is called. For QTreeWidget, each item still has

the old selection state and selectedItems() must be used to get the new selection state.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8628 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 03fbf87d - 2008-06-09 03:35 AM - Tom Elwertowski

Additional conversion from Q3ListView to QTreeWidget. This is an addition to r8406 and fixes #1074.

For Q3ListView, each item is already set to the new selection state when on_lstLayers_selectionChanged is called. For QTreeWidget, each item still has

the old selection state and selectedItems() must be used to get the new selection state.

git-svn-id: http://svn.osgeo.org/qgis/trunk@8628 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-06-08 06:54 PM - Tom Elwertowski

[[QgsServerSourceSelect]]::on_lstLayers_itemSelectionChanged() was not fully converted from Qt3 to Qt4 in commit:21708a56 (SVN r8407).

For Q3ListView, each item is already set to the new selection state when on_lstLayers_selectionChanged is called. For QTreeWidget, each item still has

the old selection state and selectedItems() must be used to get the new selection state.

#2 - 2008-06-08 06:55 PM - Tom Elwertowski

- Resolution set to fixed

- Status changed from Open to Closed

Fixed by commit:03fbf87d (SVN r8629).
